# $Revision: 1.5 $, $Date: 2005/03/03 09:04:28 $
Summary:	Musepack decoder library
Summary(pl):	Biblioteka dekodujca Musepacka
Name:		libmusepack
Version:	1.1
Release:	1
License:	LGPL
Group:		Libraries
Source0:	http://www.saunalahti.fi/grimmel/musepack.net-files/source/%{name}-%{version}.tar.bz2
# Source0-md5:	c06aa1da054ed79989cd71d5300ed7c5
URL:		http://www.musepack.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	sed >= 4.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		specflags	-fomit-frame-pointer

%description
Portable Musepack decoder library.

%description -l pl
Przenona biblioteka dekodujca pliki dwikowe w formacie Musepack.

%package devel
Summary:	Header files for libmusepack library
Summary(pl):	Pliki nagwkowe biblioteki libmusepack
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for libmusepack library.

%description devel -l pl
Pliki nagwkowe biblioteki libmusepack.

%package static
Summary:	Static libmusepack library
Summary(pl):	Statyczna biblioteka libmusepack
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libmusepack library.

%description static -l pl
Statyczna biblioteka libmusepack.

%prep
%setup -q

sed -i -e '/-O3 -fomit-frame-pointer/d' configure.in

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog
%attr(755,root,root) %{_libdir}/lib*.so.*.*.*

%files devel
%defattr(644,root,root,755)
%doc docs/html
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_includedir}/musepack

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libmusepack.spec,v $
Revision 1.5  2005/03/03 09:04:28  paszczus
- updated Source0 URL

Revision 1.4  2005/02/02 22:25:35  grzegol
- updated to 1.1
- regenerate lt/al/ac/am
- added docs
- added static subpackage

Revision 1.3  2004/12/11 19:00:39  qboosh
- don't omit-frame-pointer in debug builds

Revision 1.2  2004/12/11 18:48:50  qboosh
- pl fix, descs

Revision 1.1  2004/12/09 22:47:30  mkierus
- initial release
